// UDPSerialDlg.h : header file
//

#if !defined(AFX_UDPSERIALDLG_H__79959D23_C82A_4BC8_8ABA_031DD2E20E31__INCLUDED_)
#define AFX_UDPSERIALDLG_H__79959D23_C82A_4BC8_8ABA_031DD2E20E31__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MySocket.h"

/////////////////////////////////////////////////////////////////////////////
// CUDPSerialDlg dialog

class CUDPSerialDlg : public CDialog
{
// Construction
public:
	CUDPSerialDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CUDPSerialDlg)
	enum { IDD = IDD_UDPSERIAL_DIALOG };
	CListBox	m_OutputCtrl;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUDPSerialDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CUDPSerialDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	//}}AFX_MSG

	// MySocket massage map functions
	// See "INFO: Use ON_MESSAGE() Macro to Map Less-Common Messages" in MSDN
	// for more information on processing user defined messages
	afx_msg LRESULT OnMySocketReceive(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()

private:
	void SetupConnection();
	CMySocket m_MySocket;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_UDPSERIALDLG_H__79959D23_C82A_4BC8_8ABA_031DD2E20E31__INCLUDED_)
